<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BuildServerSettings">
    <option name="LOGIN" value="" />
    <option name="SERVER_URL" value="http://buildserver" />
    <option name="REMEMBER_ME" value="true" />
    <option name="USE_IDEA_PROXY_SETTINGS" value="true" />
    <option name="INSPECTIONS_BUILD_TYPE_IDS" />
    <option name="DUPLICATES_BUILD_TYPE_IDS" />
    <option name="COVERAGE_SETTINGS" />
    <option name="TEST_STATUS_ENABLED" value="true" />
    <option name="TEST_STATUS_SHOW_SUCCESSFUL" value="false" />
    <option name="POSTPONE_SUITABLE_CONFIGURATIONS_SEARCH" value="false" />
    <option name="ARTIFACTS_BUILD_TYPE_IDS" />
    <option name="PERFORM_COMMIT_IF_SUCCESSFUL" value="true" />
    <option name="PERFORM_COMMIT_IF_NO_NEW_FAILED_TESTS" value="false" />
    <option name="REQUEST_CONFIRMATON" value="false" />
    <option name="PRE_TESTED_COMMIT" value="true" />
    <option name="FILTER_BY_STATUS" value="false" />
    <option name="FILTER_MARKED_AS_FIXED" value="false" />
    <option name="SHOW_CLOSE_PROMPT" value="true" />
    <option name="TOOL_WINDOW_SELECTED_CONTENT_INDEX" value="0" />
    <option name="FILTER_BY_CURRENT_PROJECT" value="true" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="478e4dbc-5c21-445b-b829-c88da49b6e36" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/MKRRadioManager/MKRPlayControlViewController.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/MKRRadioManager/MKRPlayControlViewController.m" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/NSString+MKRRadioManagerAdd.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/NSString+MKRRadioManagerAdd.m" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/UIDevice+MKRRadioManagerAdd.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/UIDevice+MKRRadioManagerAdd.m" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.m" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRUPnPDevice.h" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRUPnPDevice.m" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/MKRRadioManager.xcodeproj/project.pbxproj" beforeDir="false" afterPath="$PROJECT_DIR$/MKRRadioManager.xcodeproj/project.pbxproj" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/MKRRadioManager.xcodeproj/xcshareddata/xcschemes/MKRRadioManager-Example.xcscheme" beforeDir="false" afterPath="$PROJECT_DIR$/MKRRadioManager.xcodeproj/xcshareddata/xcschemes/MKRRadioManager-Example.xcscheme" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/MKRRadioManager/Base.lproj/Main.storyboard" beforeDir="false" afterPath="$PROJECT_DIR$/MKRRadioManager/Base.lproj/Main.storyboard" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/MKRRadioManager/MKRRadioManager-Prefix.pch" beforeDir="false" afterPath="$PROJECT_DIR$/MKRRadioManager/MKRRadioManager-Prefix.pch" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/MKRRadioManager/MKRViewController.h" beforeDir="false" afterPath="$PROJECT_DIR$/MKRRadioManager/MKRViewController.h" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/MKRRadioManager/MKRViewController.m" beforeDir="false" afterPath="$PROJECT_DIR$/MKRRadioManager/MKRViewController.m" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/Podfile" beforeDir="false" afterPath="$PROJECT_DIR$/Podfile" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../MKRRadioManager.podspec" beforeDir="false" afterPath="$PROJECT_DIR$/../MKRRadioManager.podspec" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../MKRRadioManager/Classes/ReplaceMe.m" beforeDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="iphoneos_9f30ade79109aa6ac577baf15ba6eb086e6fc8f5" />
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRWIFIDeviceManager.m">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="9288">
              <caret line="387" column="20" selection-start-line="387" selection-start-column="20" selection-end-line="387" selection-end-column="20" />
              <folding>
                <element signature="e#93#125#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioResorce.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1320">
              <caret line="55" column="4" selection-start-line="55" selection-start-column="4" selection-end-line="55" selection-end-column="4" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="288">
              <caret line="12" column="77" selection-start-line="12" selection-start-column="77" selection-end-line="12" selection-end-column="77" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWifiRadioManager/MKRWIFIRadioControlManager.m">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="720">
              <caret line="30" selection-start-line="30" selection-end-line="30" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWifiRadioManager/MKRWIFIRadioControlManager.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="336">
              <caret line="14" column="28" selection-start-line="14" selection-start-column="28" selection-end-line="14" selection-end-column="28" />
              <folding>
                <element signature="e#151#184#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.m">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1896">
              <caret line="79" column="16" selection-start-line="79" selection-start-column="16" selection-end-line="79" selection-end-column="16" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Headers/MKRRadioResourceProtocol.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1176">
              <caret line="49" selection-start-line="49" selection-end-line="49" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Headers/MKRPlayControlProtocol.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1200">
              <caret line="50" column="37" selection-start-line="50" selection-start-column="37" selection-end-line="50" selection-end-column="37" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRBTRadioManager/MKRBTRadioControlManager.m">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="242">
              <caret line="54" column="10" selection-start-line="54" selection-start-column="10" selection-end-line="54" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRWIFIDeviceManager.h">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="432">
              <caret line="18" column="39" selection-start-line="18" selection-start-column="39" selection-end-line="18" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="package.json" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>搜索到设备</find>
      <find>ReceivedPlayCallBack</find>
      <find>playSongWithChannelNO</find>
      <find>seek</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Podfile" />
        <option value="$PROJECT_DIR$/../MKRRadioManager.podspec" />
        <option value="$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/package.json" />
        <option value="$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/MKRRadioManager.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioControlMaster.m" />
        <option value="$PROJECT_DIR$/MKRRadioManager/PrefixHeader.pch" />
        <option value="$PROJECT_DIR$/MKRRadioManager/MKRViewController.h" />
        <option value="$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/MKRRadioManager.h" />
        <option value="$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/UIDevice+MKRRadioManagerAdd.h" />
        <option value="$PROJECT_DIR$/Pods/Headers/Private/MKRRadioManager/UIDevice+MKRRadioManagerAdd.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/UIDevice+MKRRadioManagerAdd.m" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioManager.h" />
        <option value="$PROJECT_DIR$/MKRRadioManager/MKRViewController.m" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/UIDevice+MKRRadioManagerAdd.h" />
        <option value="$PROJECT_DIR$/MKRRadioManager/MKRPlayControlViewController.m" />
        <option value="$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/MKRUPnPDevice.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWifiRadioManager/MKRWIFIRadioControlManager.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/NSString+MKRRadioManagerAdd.m" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/Category/NSString+MKRRadioManagerAdd.h" />
        <option value="$PROJECT_DIR$/../MKRRadioResourceProtocol.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/Headers/MKRRadioResourceProtocol.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.m" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioResorce.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRWIFIDeviceManager.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRWIFIDeviceManager.m" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/Headers/MKRPlayControlProtocol.h" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWifiRadioManager/MKRWIFIRadioControlManager.m" />
        <option value="$PROJECT_DIR$/../MKRRadioManager/Classes/MKRBTRadioManager/MKRBTRadioControlManager.m" />
      </list>
    </option>
  </component>
  <component name="OCFindUsagesOptions" text="true" ivars="false" properties="true" derivedClasses="false" />
  <component name="ProjectFrameBounds">
    <option name="x" value="67" />
    <option name="y" value="488" />
    <option name="width" value="1920" />
    <option name="height" value="980" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="MKRRadioManager" type="1d218c8b:XcodeProjectNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="MKRRadioManager" type="1d218c8b:XcodeProjectNode" />
              <item name="Example for MKRRadioManager" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="MKRRadioManager" type="1d218c8b:XcodeProjectNode" />
              <item name="Example for MKRRadioManager" type="fcab9f18:XcodeViewNode" />
              <item name="Supporting Files" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="MKRRadioManager" type="1d218c8b:XcodeProjectNode" />
              <item name="Pods" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="MKRRadioManager" type="1d218c8b:XcodeProjectNode" />
              <item name="Podspec Metadata" type="fcab9f18:XcodeViewNode" />
            </path>
            <path>
              <item name="" type="efc3779f:XcodeRootNode" />
              <item name="Pods" type="1d218c8b:XcodeProjectNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="Cidr.FilesView" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="OBJC.PRESERVED_TARGET_SELECTION" value="MKRAVPlayer" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="com.intellij.ide.scratch.LRUPopupBuilder$1/New Scratch File" value="OCStringsFile" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="478e4dbc-5c21-445b-b829-c88da49b6e36" name="Default Changelist" comment="" />
      <created>1555320503612</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1555320503612</updated>
      <workItem from="1555320506322" duration="919000" />
      <workItem from="1555323749408" duration="1137000" />
      <workItem from="1555377573802" duration="161000" />
      <workItem from="1555401303741" duration="1956000" />
      <workItem from="1555403759978" duration="7450000" />
      <workItem from="1555464010475" duration="2537000" />
      <workItem from="1555469177360" duration="8389000" />
      <workItem from="1555550404664" duration="22270000" />
      <workItem from="1555639790691" duration="618000" />
      <workItem from="1555898580461" duration="646000" />
      <workItem from="1555991595635" duration="1103000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="47186000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="67" y="488" width="1920" height="980" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.49915966" visible="true" weight="0.24973376" />
      <window_info id="Structure" order="1" sideWeight="0.50084037" side_tool="true" weight="0.24973376" />
      <window_info id="Designer" order="2" />
      <window_info id="Favorites" order="3" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" visible="true" weight="0.32995495" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Database Changes" order="7" />
      <window_info anchor="bottom" id="TeamCity" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.25112614" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Version Control" order="11" weight="0.32995495" />
      <window_info anchor="bottom" id="Messages" order="12" weight="0.32995495" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="LuaJ" order="3" />
      <window_info anchor="right" id="Learn" order="4" />
      <window_info anchor="right" id="Database" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$APPLICATION_CONFIG_DIR$/scratches/scratch.strings">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/package.json" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/BTRadioManager/MKRBTRadioManager.h" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/RadionManager/MKRRadioControlProtocol.h" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/RadionManager/MKRRadioUpdateProtocol.h" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/MKRRadioManager.h" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/RadionManager/MKRPlayControlProtocol.h" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/RadionManager/MKRM3UListModel.m" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager/RadionManager/MKRM3UListModel.h" />
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/PrefixHeader.pch" />
    <entry file="file://$PROJECT_DIR$/Podfile">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="72">
          <caret line="3" selection-start-line="3" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager.podspec">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="960">
          <caret line="40" column="29" selection-start-line="40" selection-start-column="29" selection-end-line="40" selection-end-column="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRRadioManager-Prefix.pch">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="12" column="34" selection-start-line="12" selection-start-column="34" selection-end-line="12" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/MKRRadioManager.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="6" selection-start-line="6" selection-end-line="6" />
          <folding>
            <element signature="e#177#210#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file:///Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk/System/Library/Frameworks/UIKit.framework/Headers/UIDevice.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="185">
          <caret line="57" column="48" selection-start-line="57" selection-start-column="48" selection-end-line="57" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file:///Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS.sdk/usr/include/resolv.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="281">
          <caret line="310" column="38" selection-start-line="310" selection-start-column="38" selection-end-line="310" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Pods/Headers/Private/MKRRadioManager/UIDevice+MKRRadioManagerAdd.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="9" lean-forward="true" selection-start-line="9" selection-end-line="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/UIDevice+MKRRadioManagerAdd.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="12" column="4" lean-forward="true" selection-start-line="12" selection-start-column="4" selection-end-line="12" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/main.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="11" column="32" selection-start-line="11" selection-start-column="32" selection-end-line="11" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRViewController.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-203">
          <caret line="23" column="39" selection-start-line="23" selection-start-column="39" selection-end-line="23" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioManager.h" />
    <entry file="file://$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/MKRWIFIDeviceManager.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="414">
          <caret line="41" column="3" selection-start-line="41" selection-start-column="3" selection-end-line="41" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Category/UIDevice+MKRRadioManagerAdd.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="12" column="3" selection-start-line="12" selection-start-column="3" selection-end-line="12" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Pods/Headers/Public/MKRRadioManager/MKRUPnPDevice.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="9" column="35" lean-forward="true" selection-start-line="9" selection-start-column="35" selection-end-line="9" selection-end-column="35" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRPlayControlViewController.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="85">
          <caret line="12" column="40" selection-start-line="12" selection-start-column="40" selection-end-line="12" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Category/UIDevice+MKRRadioManagerAdd.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="110" column="26" lean-forward="true" selection-start-line="110" selection-start-column="26" selection-end-line="110" selection-end-column="26" />
          <folding>
            <element signature="e#47#86#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRUPnPDevice.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="10" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRBTRadioManager/MKRBTRadioControlManager.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="6" column="2" selection-start-line="6" selection-start-column="2" selection-end-line="6" selection-end-column="2" />
          <folding>
            <element signature="e#149#182#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Category/NSString+MKRRadioManagerAdd.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="9" column="24" selection-start-line="9" selection-start-column="24" selection-end-line="9" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Category/NSString+MKRRadioManagerAdd.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="15" column="4" selection-start-line="15" selection-start-column="4" selection-end-line="15" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Pods/libAS-Control/libAS-Control/Classes/libAS-Control.framework/Headers/ASControlTools.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="233">
          <caret line="195" column="4" selection-start-line="195" selection-start-column="4" selection-end-line="195" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/MKRRadioManager/MKRViewController.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="12" column="3" selection-start-line="12" selection-start-column="3" selection-end-line="12" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRPlayResourceUpdateProtocol.h" />
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioControlMaster.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="579">
          <caret line="39" selection-start-line="39" selection-end-line="39" />
          <folding>
            <element signature="e#146#179#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioControlMaster.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="307">
          <caret line="18" column="49" selection-start-line="18" selection-start-column="49" selection-end-line="18" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioResourceProtocol.h" />
    <entry file="file://$PROJECT_DIR$/Pods/Headers/Public/MKRAVPlayer/MKRPlayResourceProtocol.h" />
    <entry file="file://$PROJECT_DIR$/Pods/MKRAVPlayer/MKRAVPlayer/Classes/MKRAVPlayer.h" />
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRPlayControlProtocol.h" />
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRWIFIDeviceManager.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="9288">
          <caret line="387" column="20" selection-start-line="387" selection-start-column="20" selection-end-line="387" selection-end-column="20" />
          <folding>
            <element signature="e#93#125#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRRadioResorce.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1320">
          <caret line="55" column="4" selection-start-line="55" selection-start-column="4" selection-end-line="55" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="12" column="77" selection-start-line="12" selection-start-column="77" selection-end-line="12" selection-end-column="77" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWifiRadioManager/MKRWIFIRadioControlManager.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="720">
          <caret line="30" selection-start-line="30" selection-end-line="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWifiRadioManager/MKRWIFIRadioControlManager.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="14" column="28" selection-start-line="14" selection-start-column="28" selection-end-line="14" selection-end-column="28" />
          <folding>
            <element signature="e#151#184#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRM3UListModel.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1896">
          <caret line="79" column="16" selection-start-line="79" selection-start-column="16" selection-end-line="79" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Headers/MKRRadioResourceProtocol.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1176">
          <caret line="49" selection-start-line="49" selection-end-line="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/Headers/MKRPlayControlProtocol.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1200">
          <caret line="50" column="37" selection-start-line="50" selection-start-column="37" selection-end-line="50" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRWIFIDeviceManager/MKRWIFIDeviceManager.h">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="432">
          <caret line="18" column="39" selection-start-line="18" selection-start-column="39" selection-end-line="18" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../MKRRadioManager/Classes/MKRBTRadioManager/MKRBTRadioControlManager.m">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="54" column="10" selection-start-line="54" selection-start-column="10" selection-end-line="54" selection-end-column="10" />
        </state>
      </provider>
    </entry>
  </component>
</project>